from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XTextSearch

@runtime_checkable
class XTextSearch2(XTextSearch, Protocol):
    def setOptions2(self, options: SearchOptions2) -> None: ...
